Skip to content
Get started

User

Get user
user.get_user(straddress, UserGetUserParams**kwargs) -> UserGetUserResponse
GET/api/v1/users/{address}/user
Get user tx history
user.get_tx_history(straddress, UserGetTxHistoryParams**kwargs) -> SyncTxHistoryPage[UserTx]
GET/api/v1/users/{address}/tx-history
ModelsExpand Collapse
Literal["borrow_flash_loan", "return_flash_loan", "create_token_unlock", 16 more]
One of the following:
"borrow_flash_loan"
"return_flash_loan"
"create_token_unlock"
"reclaim_token_unlock"
"liquidate"
"borrow"
"return"
"lend"
"redeem"
"deposit_collateral"
"withdraw_collateral"
"claim_war_chest"
"bond"
"unbond"
"claim_unbonded"
"claim_token_unlock"
"claim_rewards"
"cascade"
"send"
class User:
markets: UserMarket

User's market contribution overview

Overview of user borrowing portfolio

accounts: List[UserBorrowMarketAccount]

Market sub-accounts for the user

collaterals: List[UserCollateralAssetPool]

Account collateral allocations

amount: str

Amount of this asset which is actively collateralized

asset_info: AssetInfo

Asset identifiers with associated metadata

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
class Regular:
kind: Literal["regular"]
neptune_receipt_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class NeptuneReceiptToken:
kind: Literal["neptune_receipt_token"]
origin_asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class LiquidStakingToken:
kind: Literal["liquid_staking_token"]
origin_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
metadata: AssetMetadata

Additional metadata for assets

decimals_denom: int

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: int

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: str

Full name of the asset

symbol: str

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: str

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

amount: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: str
price: str

Text representation of price

price: str

Price used in value calculations

debts: List[UserDebtAssetPool]

Account debt allocations

asset_info: AssetInfo

Asset identifiers with associated metadata

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
class Regular:
kind: Literal["regular"]
neptune_receipt_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class NeptuneReceiptToken:
kind: Literal["neptune_receipt_token"]
origin_asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class LiquidStakingToken:
kind: Literal["liquid_staking_token"]
origin_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
metadata: AssetMetadata

Additional metadata for assets

decimals_denom: int

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: int

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: str

Full name of the asset

symbol: str

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: str

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

principal: str
shares: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: str

Text representation of price

principal: str
shares: str
price: str

Price used in value calculations

principal: str
shares: str
market_rate: MarketRate

Current market borrowing rate

apr: str

Market rate in APR standard as a decimal percentage

apy: str

Market rate in APY standard as a decimal percentage

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

apr: str
apy: str
principal: str

Initial amount borrowed (of debts which have not yet been repaid)

shares: str
debts_net_rate: MarketRate

Account debt net rate

apr: str

Market rate in APR standard as a decimal percentage

apy: str

Market rate in APY standard as a decimal percentage

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

apr: str
apy: str
health: Optional[UserAccountHealth]

Health data for this account

base: str

Account health value, before any added health boosts

boost: str

Account health boost to be applied

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

base: str
boost: str
result: str
result: str

Account health, with boost

index: int

Account index

formatuint8
minimum0
maximum255

Collateral/debt totals of all sub-accounts by asset

collaterals: List[UserCollateralAssetPool]

Account collateral allocations

amount: str

Amount of this asset which is actively collateralized

asset_info: AssetInfo

Asset identifiers with associated metadata

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
class Regular:
kind: Literal["regular"]
neptune_receipt_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class NeptuneReceiptToken:
kind: Literal["neptune_receipt_token"]
origin_asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class LiquidStakingToken:
kind: Literal["liquid_staking_token"]
origin_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
metadata: AssetMetadata

Additional metadata for assets

decimals_denom: int

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: int

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: str

Full name of the asset

symbol: str

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: str

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

amount: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: str
price: str

Text representation of price

price: str

Price used in value calculations

debts: List[UserDebtAssetPool]

Account debt allocations

asset_info: AssetInfo

Asset identifiers with associated metadata

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
class Regular:
kind: Literal["regular"]
neptune_receipt_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class NeptuneReceiptToken:
kind: Literal["neptune_receipt_token"]
origin_asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class LiquidStakingToken:
kind: Literal["liquid_staking_token"]
origin_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
metadata: AssetMetadata

Additional metadata for assets

decimals_denom: int

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: int

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: str

Full name of the asset

symbol: str

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: str

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

principal: str
shares: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: str

Text representation of price

principal: str
shares: str
price: str

Price used in value calculations

principal: str
shares: str
market_rate: MarketRate

Current market borrowing rate

apr: str

Market rate in APR standard as a decimal percentage

apy: str

Market rate in APY standard as a decimal percentage

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

apr: str
apy: str
principal: str

Initial amount borrowed (of debts which have not yet been repaid)

shares: str
debts_net_rate: MarketRate

Account debt net rate

apr: str

Market rate in APR standard as a decimal percentage

apy: str

Market rate in APY standard as a decimal percentage

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

apr: str
apy: str

Overview of user lending portfolio

asset_pools: List[UserLendAssetPool]

User lending allocations

asset_info: AssetInfo

Asset identifiers with associated metadata

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
class Regular:
kind: Literal["regular"]
neptune_receipt_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class NeptuneReceiptToken:
kind: Literal["neptune_receipt_token"]
origin_asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class LiquidStakingToken:
kind: Literal["liquid_staking_token"]
origin_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
metadata: AssetMetadata

Additional metadata for assets

decimals_denom: int

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: int

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: str

Full name of the asset

symbol: str

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: str

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

market_rate: MarketRate

Current market lending rate

apr: str

Market rate in APR standard as a decimal percentage

apy: str

Market rate in APY standard as a decimal percentage

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

apr: str
apy: str
origin_equivalent: UserLendOriginAmounts

The lending amounts converted into the equivalent for the receipt token's origin/source asset

collateralized: str

Total equivalent amount of origin token collateralized across this user's borrowing portfolio

NOTE: This is not the amount of the origin asset that the user holds, but the amount held in the receipt token rendered as the equivalent amount in the origin asset.

Or, more formally: origin_equivalent_collateralized = receipt_collateralized / receipt_redemption_ratio

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

collateralized: str
held: str
total: str
held: str

Total equivalent amount of origin token held in address balance

NOTE: This is not the amount of the origin asset that the user holds, but the amount held in the receipt token rendered as the equivalent amount in the origin asset.

Or, more formally: origin_equivalent_held = receipt_held / receipt_redemption_ratio

total: str

Total of held and collateralized equivalent for origin asset

Or, more formally: origin_equivalent_total = receipt_lent_total / receipt_redemption_ratio

receipt_amounts: UserLendReceiptAmounts

The lending amounts in the original receipt token amounts

collateralized: str

Total amount of receipt token collateralized across this user's borrowing portfolio

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

collateralized: str
held: str
total: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

collateralized: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

collateralized: str
held: str
price: str

Text representation of price

total: str
held: str
price: str

Price used in value calculations

total: str
held: str

Total amount of receipt token held in address balance

total: str

Sum of receipt amount held and receipt amount collateralized

net_rate: MarketRate

Account debt net rate

apr: str

Market rate in APR standard as a decimal percentage

apy: str

Market rate in APY standard as a decimal percentage

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

apr: str
apy: str
nept: Nept

User's NEPT associations (e.g. stake, unlocks)

staking: UserStake

Overview of the user's staking contributions/activity

asset_info: AssetInfo

Asset identifiers with associated metadata

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
class Regular:
kind: Literal["regular"]
neptune_receipt_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class NeptuneReceiptToken:
kind: Literal["neptune_receipt_token"]
origin_asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class LiquidStakingToken:
kind: Literal["liquid_staking_token"]
origin_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
metadata: AssetMetadata

Additional metadata for assets

decimals_denom: int

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: int

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: str

Full name of the asset

symbol: str

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: str

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

bonding_sum: str

Total staked of all entries across all listed pools

NOTE: this value is affected by active filters, if any (e.g. filtering over account index)

claimable_rewards: str

NEPT rewarded from staking that is available yet not claimed by the user

claimable_unbonding: str

Sum of all unbond/unstake amounts that have completed their lockup period and are ready to be claimed.

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

bonding_sum: str
claimable_rewards: str
claimable_unbonding: str
unclaimed: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

bonding_sum: str
claimable_rewards: str
claimable_unbonding: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

bonding_sum: str
claimable_rewards: str
claimable_unbonding: str
price: str

Text representation of price

unclaimed: str
price: str

Price used in value calculations

unclaimed: str
pools: List[UserStakePool]

User allocations for each staking pool

amount_sum: str

Total staked of all entries

NOTE: this value is affected by active filters, if any (e.g. filtering over account index)

Staking pool contents along with associated pool state and pool params

duration: int

The lockup duration for this pool in seconds

formatuint64
minimum0
extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

duration: str
index: str
index: int

The ordered index (position) of this pool

formatuint8
minimum0
maximum255

Staking pool contract parameters

flash_loan_weight: str

The pool's weight (multiplier) for flash loans volume

gov_weight: str

The pool's weight (multiplier) on governance for an associated stake

health_weight: str

The pool's weight (multiplier) on account health for an associated stake

reward_weight: str

The pool's weight (multiplier) on rewards for an associated stake

Current contract state of staking pool

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

total_bonded: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: str

Text representation of price

total_bonded: str
price: str

Price used in value calculations

total_bonded: str
total_bonded: str

The total amount staked to this pool

contents: List[UserStakeBondingEntry]

Bonding/stake entries

NOTE: entries that differ only in amount are merged upon creation

account_index: int

User account index

formatuint8
minimum0
maximum255
amount: str

Bonding amount

cascade: bool
extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

amount: str
transition_at: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: str
price: str

Text representation of price

price: str

Price used in value calculations

last_stake_acc: str
transition_at: Optional[datetime]
formatdate-time
extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

amount_sum: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount_sum: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount_sum: str
price: str

Text representation of price

price: str

Price used in value calculations

User unstake/unbonding data

amount_sum: str

Total amount of all unbond entries

NOTE: this value is affected by active filters, if any (e.g. filtering over account index)

contents: List[UserStakeUnbondingEntry]

Unbonding/unstake entries

NOTE: cascade unbondings from pool >= 2 are contained in the bondings list of the lower adjacent pool from which the unbond occurred.

amount: str

Unbonding amount

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

amount: str
unlock_at: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: str
price: str

Text representation of price

price: str

Price used in value calculations

unlock_at: datetime

Timestamp for when the unstake can be redeemed

formatdate-time
extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

amount_sum: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount_sum: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount_sum: str
price: str

Text representation of price

price: str

Price used in value calculations

unclaimed: str

Overview of the user's unlock arrangements and claim statistics

arrangements: List[Arrangement]

A list of the user's active unlock arrangements

admin: Optional[ArrangementAdmin]

The admin of the unlock, if any

address: str

The address of the unlock arrangement's admin

issued_reclaim: bool

True if the admin his issued a reclaim on the unlock arrangement

Primary unlock amount and other pre-calculated/derived amounts

amount: str

The full unlock amount

This value is immutable and does not change with regards to expiry/reclamation/lock states.

claimable: str

The amount currently claimable

This takes into account: reclamation, lock state, expiry, and previously claimed. In other words, this is an accurate representation of what the user can currently claim.

claimed: str

The amount that has already been successfully claimed by the user.

expired: str

The amount that was claimable but has now expired due to the presence and subsequent passing of expires_at

extra: Extra
percent: Optional[ExtraPercent]

Percentages for unlock amounts. These do not factor in the amount_staked or amount_held values. Will not be null when query param with_percent is true.

claimable: str
claimed: str
expired: str
extra: ExtraPercentExtra
text: Optional[ExtraPercentExtraText]

Human-readable variants of percentages for unlock amounts. Will not be null when query params with_text and with_percent are true.

claimable: str
claimed: str
expired: str
locked: str
reclaimed: str
locked: str
reclaimed: str
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

amount: str
claimable: str
claimed: str
expired: str
locked: str
reclaimed: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: str
claimable: str
claimed: str
expired: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: str
claimable: str
claimed: str
expired: str
locked: str
price: str

Text representation of price

reclaimed: str
locked: str
price: str

Price used in value calculations

reclaimed: str
locked: str

The total amount of NEPT currently awaiting unlock NOTE: any reclaimed unlocks are excluded from the total, regardless of how much the user had claimed prior to reclamation.

reclaimed: str

The amount that has been reclaimed from the unlock arrangement admin

begins_at: datetime

The time at which the unlock begins

formatdate-time
expires_at: Optional[datetime]

The time at which the unlock expires, if any

formatdate-time
extra: ArrangementExtra
text: Optional[ArrangementExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

begins_at: str
expires_at: str
last_claimed_at: str
last_claimed_at: Optional[datetime]

The time at which the unlock was last claimed, if any

formatdate-time

The schedule of the unlock

One of the following:
class UserUnlockScheduleLinear:
duration: int

The duration of the unlock in seconds

formatuint64
minimum0
ends_at: datetime

The time at which the unlock has/was/would've completed. This is identical to begins_at + duration.

This timestamp will remain valid even if the unlock has been reclaimed. Therefore, it should not be used as a validity check.

formatdate-time
extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

duration: str
ends_at: str
kind: Literal["linear"]
class UserUnlockScheduleLumpSum:
kind: Literal["lump_sum"]
extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

last_claimed_at: str
last_claimed_at: Optional[datetime]

The time at which the most recent unlock claim occurred, if any

formatdate-time

Contains pre-calculated total amounts for all unlock agreements

amount: str

The full unlock amount

This value is immutable and does not change with regards to expiry/reclamation/lock states.

claimable: str

The amount currently claimable

This takes into account: reclamation, lock state, expiry, and previously claimed. In other words, this is an accurate representation of what the user can currently claim.

claimed: str

The amount that has already been successfully claimed by the user.

expired: str

The amount that was claimable but has now expired due to the presence and subsequent passing of expires_at

extra: Extra
percent: Optional[ExtraPercent]

Percentages for unlock amounts. These do not factor in the amount_staked or amount_held values. Will not be null when query param with_percent is true.

claimable: str
claimed: str
expired: str
extra: ExtraPercentExtra
text: Optional[ExtraPercentExtraText]

Human-readable variants of percentages for unlock amounts. Will not be null when query params with_text and with_percent are true.

claimable: str
claimed: str
expired: str
locked: str
reclaimed: str
locked: str
reclaimed: str
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

amount: str
claimable: str
claimed: str
expired: str
locked: str
reclaimed: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: str
claimable: str
claimed: str
expired: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: str
claimable: str
claimed: str
expired: str
locked: str
price: str

Text representation of price

reclaimed: str
locked: str
price: str

Price used in value calculations

reclaimed: str
locked: str

The total amount of NEPT currently awaiting unlock NOTE: any reclaimed unlocks are excluded from the total, regardless of how much the user had claimed prior to reclamation.

reclaimed: str

The amount that has been reclaimed from the unlock arrangement admin

User's wallets and balances

balances: List[WalletBalance]

Array of each wallet balance

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
values: WalletAsset

Derived values and amounts.

One of the following:
class WalletAssetKnown:
amount: str

Wallet balance in native denom.

amount_scaled: str

Amount scaled to the asset's standard unit / decimal places.

asset_info: AssetInfo

Asset identifiers with associated metadata

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
class Regular:
kind: Literal["regular"]
neptune_receipt_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class NeptuneReceiptToken:
kind: Literal["neptune_receipt_token"]
origin_asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class LiquidStakingToken:
kind: Literal["liquid_staking_token"]
origin_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
metadata: AssetMetadata

Additional metadata for assets

decimals_denom: int

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: int

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: str

Full name of the asset

symbol: str

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: str

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

amount: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: str
price: str

Text representation of price

price: str

Price used in value calculations

kind: Literal["known"]
class WalletAssetUnknown:
amount: str

Wallet balance in native denom.

kind: Literal["unknown"]
extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

total_value: str
total_value: Optional[str]

Sum value in USD. Guaranteed null if value calculation is disabled / guaranteed non-null if calculation is enabled.

NOTE: this only accounts for assets which are internally known & tracked. See the /assets endpoint for a list of supported assets.

class UserTx:
account_address: str

Account address corresponding to the transaction

account_index: Optional[int]

Neptune market sub-account index. Will be set for the following event types: borrow, return, deposit_collateral, withdraw_collateral, liquidate, bond, unbond.

Otherwise the value is guaranteed to be null.

formatuint8
minimum0
maximum255
action: EventAction

Neptune event type for the given market/token contract execute call

One of the following:
"borrow_flash_loan"
"return_flash_loan"
"create_token_unlock"
"reclaim_token_unlock"
"liquidate"
"borrow"
"return"
"lend"
"redeem"
"deposit_collateral"
"withdraw_collateral"
"claim_war_chest"
"bond"
"unbond"
"claim_unbonded"
"claim_token_unlock"
"claim_rewards"
"cascade"
"send"
amount: Optional[str]

The relevant amount for the given tx/event.

This value will be set for all currently implemented action types. It is set as nullable for forwards compatibility for future action types which may not have an associated amount.

asset: AssetInfo

Asset identifiers with associated metadata

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
class Regular:
kind: Literal["regular"]
neptune_receipt_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class NeptuneReceiptToken:
kind: Literal["neptune_receipt_token"]
origin_asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class LiquidStakingToken:
kind: Literal["liquid_staking_token"]
origin_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
metadata: AssetMetadata

Additional metadata for assets

decimals_denom: int

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: int

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: str

Full name of the asset

symbol: str

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: str

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

contract_address: str

Address for the event's corresponding contract

destination_address: Optional[str]

Destination account address. Non-null for send/transfer transactions. This field will be null for all other action types.

event_time: datetime

Event/transaction block time

formatdate-time
event_uuid: str

Internal UUID created when the transaction was first indexed by Neptune.

Primary usage for API clients is tx history pagination offsets.

NOTE: event UUIDs should not be used as a guaranteed method of uniquely identifying a transaction event over extended periods of time.

Future updates to our indexer may infrequently require a full re-index of transactions, resulting in newly generated UUIDs.

formatuuid
extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

action: str
amount: str
event_time: str
historic_price: str
historic_value: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: Optional[str]
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: Optional[str]
price: Optional[str]

Text representation of price

price: str

Price used in value calculations

historic_price: Union[str, float, null]

The price of the associated asset at the time of the transaction.

This value will be set for all currently implemented action types. It is set as nullable for forwards compatibility for future action types which may not have an associated amount.

One of the following:
str

The price of the associated asset at the time of the transaction.

This value will be set for all currently implemented action types. It is set as nullable for forwards compatibility for future action types which may not have an associated amount.

float

The price of the associated asset at the time of the transaction.

This value will be set for all currently implemented action types. It is set as nullable for forwards compatibility for future action types which may not have an associated amount.

historic_value: Union[str, float, null]

The USD value at the time of the transaction. Derived using the amount and historical price of the associated asset.

This value will be set for all currently implemented action types. It is set as nullable for forwards compatibility for future action types which may not have an associated amount.

One of the following:
str

The USD value at the time of the transaction. Derived using the amount and historical price of the associated asset.

This value will be set for all currently implemented action types. It is set as nullable for forwards compatibility for future action types which may not have an associated amount.

float

The USD value at the time of the transaction. Derived using the amount and historical price of the associated asset.

This value will be set for all currently implemented action types. It is set as nullable for forwards compatibility for future action types which may not have an associated amount.

tx_hash: str

Transaction hash

UserMarket

Get user market portfolio
user.market.get_portfolio(straddress, MarketGetPortfolioParams**kwargs) -> MarketGetPortfolioResponse
GET/api/v1/users/{address}/markets
Get user markets for all kinds (lend + borrow debt/collateral), grouped together by asset
user.market.get_merged(straddress, MarketGetMergedParams**kwargs) -> MarketGetMergedResponse
GET/api/v1/users/{address}/markets/merged
Get user's markets (lend + borrow debt/collateral) for a specific asset
user.market.get_merged_by_asset(straddress, MarketGetMergedByAssetParams**kwargs) -> MarketGetMergedByAssetResponse
GET/api/v1/users/{address}/markets/merged/lookup
ModelsExpand Collapse
class UserMarket:

Overview of user borrowing portfolio

accounts: List[UserBorrowMarketAccount]

Market sub-accounts for the user

collaterals: List[UserCollateralAssetPool]

Account collateral allocations

amount: str

Amount of this asset which is actively collateralized

asset_info: AssetInfo

Asset identifiers with associated metadata

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
class Regular:
kind: Literal["regular"]
neptune_receipt_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class NeptuneReceiptToken:
kind: Literal["neptune_receipt_token"]
origin_asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class LiquidStakingToken:
kind: Literal["liquid_staking_token"]
origin_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
metadata: AssetMetadata

Additional metadata for assets

decimals_denom: int

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: int

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: str

Full name of the asset

symbol: str

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: str

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

amount: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: str
price: str

Text representation of price

price: str

Price used in value calculations

debts: List[UserDebtAssetPool]

Account debt allocations

asset_info: AssetInfo

Asset identifiers with associated metadata

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
class Regular:
kind: Literal["regular"]
neptune_receipt_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class NeptuneReceiptToken:
kind: Literal["neptune_receipt_token"]
origin_asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class LiquidStakingToken:
kind: Literal["liquid_staking_token"]
origin_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
metadata: AssetMetadata

Additional metadata for assets

decimals_denom: int

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: int

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: str

Full name of the asset

symbol: str

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: str

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

principal: str
shares: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: str

Text representation of price

principal: str
shares: str
price: str

Price used in value calculations

principal: str
shares: str
market_rate: MarketRate

Current market borrowing rate

apr: str

Market rate in APR standard as a decimal percentage

apy: str

Market rate in APY standard as a decimal percentage

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

apr: str
apy: str
principal: str

Initial amount borrowed (of debts which have not yet been repaid)

shares: str
debts_net_rate: MarketRate

Account debt net rate

apr: str

Market rate in APR standard as a decimal percentage

apy: str

Market rate in APY standard as a decimal percentage

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

apr: str
apy: str
health: Optional[UserAccountHealth]

Health data for this account

base: str

Account health value, before any added health boosts

boost: str

Account health boost to be applied

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

base: str
boost: str
result: str
result: str

Account health, with boost

index: int

Account index

formatuint8
minimum0
maximum255

Collateral/debt totals of all sub-accounts by asset

collaterals: List[UserCollateralAssetPool]

Account collateral allocations

amount: str

Amount of this asset which is actively collateralized

asset_info: AssetInfo

Asset identifiers with associated metadata

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
class Regular:
kind: Literal["regular"]
neptune_receipt_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class NeptuneReceiptToken:
kind: Literal["neptune_receipt_token"]
origin_asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class LiquidStakingToken:
kind: Literal["liquid_staking_token"]
origin_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
metadata: AssetMetadata

Additional metadata for assets

decimals_denom: int

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: int

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: str

Full name of the asset

symbol: str

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: str

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

amount: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: str
price: str

Text representation of price

price: str

Price used in value calculations

debts: List[UserDebtAssetPool]

Account debt allocations

asset_info: AssetInfo

Asset identifiers with associated metadata

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
class Regular:
kind: Literal["regular"]
neptune_receipt_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class NeptuneReceiptToken:
kind: Literal["neptune_receipt_token"]
origin_asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class LiquidStakingToken:
kind: Literal["liquid_staking_token"]
origin_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
metadata: AssetMetadata

Additional metadata for assets

decimals_denom: int

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: int

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: str

Full name of the asset

symbol: str

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: str

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

principal: str
shares: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: str

Text representation of price

principal: str
shares: str
price: str

Price used in value calculations

principal: str
shares: str
market_rate: MarketRate

Current market borrowing rate

apr: str

Market rate in APR standard as a decimal percentage

apy: str

Market rate in APY standard as a decimal percentage

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

apr: str
apy: str
principal: str

Initial amount borrowed (of debts which have not yet been repaid)

shares: str
debts_net_rate: MarketRate

Account debt net rate

apr: str

Market rate in APR standard as a decimal percentage

apy: str

Market rate in APY standard as a decimal percentage

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

apr: str
apy: str

Overview of user lending portfolio

asset_pools: List[UserLendAssetPool]

User lending allocations

asset_info: AssetInfo

Asset identifiers with associated metadata

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
class Regular:
kind: Literal["regular"]
neptune_receipt_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class NeptuneReceiptToken:
kind: Literal["neptune_receipt_token"]
origin_asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class LiquidStakingToken:
kind: Literal["liquid_staking_token"]
origin_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
metadata: AssetMetadata

Additional metadata for assets

decimals_denom: int

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: int

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: str

Full name of the asset

symbol: str

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: str

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

market_rate: MarketRate

Current market lending rate

apr: str

Market rate in APR standard as a decimal percentage

apy: str

Market rate in APY standard as a decimal percentage

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

apr: str
apy: str
origin_equivalent: UserLendOriginAmounts

The lending amounts converted into the equivalent for the receipt token's origin/source asset

collateralized: str

Total equivalent amount of origin token collateralized across this user's borrowing portfolio

NOTE: This is not the amount of the origin asset that the user holds, but the amount held in the receipt token rendered as the equivalent amount in the origin asset.

Or, more formally: origin_equivalent_collateralized = receipt_collateralized / receipt_redemption_ratio

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

collateralized: str
held: str
total: str
held: str

Total equivalent amount of origin token held in address balance

NOTE: This is not the amount of the origin asset that the user holds, but the amount held in the receipt token rendered as the equivalent amount in the origin asset.

Or, more formally: origin_equivalent_held = receipt_held / receipt_redemption_ratio

total: str

Total of held and collateralized equivalent for origin asset

Or, more formally: origin_equivalent_total = receipt_lent_total / receipt_redemption_ratio

receipt_amounts: UserLendReceiptAmounts

The lending amounts in the original receipt token amounts

collateralized: str

Total amount of receipt token collateralized across this user's borrowing portfolio

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

collateralized: str
held: str
total: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

collateralized: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

collateralized: str
held: str
price: str

Text representation of price

total: str
held: str
price: str

Price used in value calculations

total: str
held: str

Total amount of receipt token held in address balance

total: str

Sum of receipt amount held and receipt amount collateralized

net_rate: MarketRate

Account debt net rate

apr: str

Market rate in APR standard as a decimal percentage

apy: str

Market rate in APY standard as a decimal percentage

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

apr: str
apy: str
class UserMergedMarket:

User market allocations grouped by asset.

Note: because of the inverted structure of merged market accounts, account health cannot be represented and is excluded in the merged structures.

asset_info: AssetInfo

Asset identifiers with associated metadata

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
class Regular:
kind: Literal["regular"]
neptune_receipt_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class NeptuneReceiptToken:
kind: Literal["neptune_receipt_token"]
origin_asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class LiquidStakingToken:
kind: Literal["liquid_staking_token"]
origin_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
metadata: AssetMetadata

Additional metadata for assets

decimals_denom: int

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: int

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: str

Full name of the asset

symbol: str

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: str

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

borrow_collateral: List[UserCollateralAccountPool]

User collateral contribution for asset in borrow market, listed by subaccount

amount: str

Amount of this asset which is actively collateralized

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

amount: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: str
price: str

Text representation of price

price: str

Price used in value calculations

index: int

Account index

formatuint8
minimum0
maximum255
borrow_debt: List[UserDebtAccountPool]

User debt contribution for asset in borrow market, listed by subaccount

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

principal: str
shares: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: str

Text representation of price

principal: str
shares: str
price: str

Price used in value calculations

principal: str
shares: str
index: int

Account index

formatuint8
minimum0
maximum255
principal: str

Initial amount borrowed (of debts which have not yet been repaid)

shares: str
lend: Optional[Lend]

User contribution for asset's lending market, if one exists

origin_equivalent: UserLendOriginAmounts

The lending amounts converted into the equivalent for the receipt token's origin/source asset

collateralized: str

Total equivalent amount of origin token collateralized across this user's borrowing portfolio

NOTE: This is not the amount of the origin asset that the user holds, but the amount held in the receipt token rendered as the equivalent amount in the origin asset.

Or, more formally: origin_equivalent_collateralized = receipt_collateralized / receipt_redemption_ratio

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

collateralized: str
held: str
total: str
held: str

Total equivalent amount of origin token held in address balance

NOTE: This is not the amount of the origin asset that the user holds, but the amount held in the receipt token rendered as the equivalent amount in the origin asset.

Or, more formally: origin_equivalent_held = receipt_held / receipt_redemption_ratio

total: str

Total of held and collateralized equivalent for origin asset

Or, more formally: origin_equivalent_total = receipt_lent_total / receipt_redemption_ratio

receipt_amounts: UserLendReceiptAmounts

The lending amounts in the original receipt token amounts

collateralized: str

Total amount of receipt token collateralized across this user's borrowing portfolio

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

collateralized: str
held: str
total: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

collateralized: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

collateralized: str
held: str
price: str

Text representation of price

total: str
held: str
price: str

Price used in value calculations

total: str
held: str

Total amount of receipt token held in address balance

total: str

Sum of receipt amount held and receipt amount collateralized

UserMarketLend

Get user lending portfolio
user.market.lend.list(straddress, LendListParams**kwargs) -> LendListResponse
GET/api/v1/users/{address}/markets/lend
Lookup user lending distribution by asset
user.market.lend.get_by_asset(straddress, LendGetByAssetParams**kwargs) -> LendGetByAssetResponse
GET/api/v1/users/{address}/markets/lend/lookup
ModelsExpand Collapse
class UserLendAssetPool:
asset_info: AssetInfo

Asset identifiers with associated metadata

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
class Regular:
kind: Literal["regular"]
neptune_receipt_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class NeptuneReceiptToken:
kind: Literal["neptune_receipt_token"]
origin_asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class LiquidStakingToken:
kind: Literal["liquid_staking_token"]
origin_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
metadata: AssetMetadata

Additional metadata for assets

decimals_denom: int

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: int

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: str

Full name of the asset

symbol: str

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: str

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

market_rate: MarketRate

Current market lending rate

apr: str

Market rate in APR standard as a decimal percentage

apy: str

Market rate in APY standard as a decimal percentage

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

apr: str
apy: str
origin_equivalent: UserLendOriginAmounts

The lending amounts converted into the equivalent for the receipt token's origin/source asset

collateralized: str

Total equivalent amount of origin token collateralized across this user's borrowing portfolio

NOTE: This is not the amount of the origin asset that the user holds, but the amount held in the receipt token rendered as the equivalent amount in the origin asset.

Or, more formally: origin_equivalent_collateralized = receipt_collateralized / receipt_redemption_ratio

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

collateralized: str
held: str
total: str
held: str

Total equivalent amount of origin token held in address balance

NOTE: This is not the amount of the origin asset that the user holds, but the amount held in the receipt token rendered as the equivalent amount in the origin asset.

Or, more formally: origin_equivalent_held = receipt_held / receipt_redemption_ratio

total: str

Total of held and collateralized equivalent for origin asset

Or, more formally: origin_equivalent_total = receipt_lent_total / receipt_redemption_ratio

receipt_amounts: UserLendReceiptAmounts

The lending amounts in the original receipt token amounts

collateralized: str

Total amount of receipt token collateralized across this user's borrowing portfolio

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

collateralized: str
held: str
total: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

collateralized: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

collateralized: str
held: str
price: str

Text representation of price

total: str
held: str
price: str

Price used in value calculations

total: str
held: str

Total amount of receipt token held in address balance

total: str

Sum of receipt amount held and receipt amount collateralized

class UserLendMarket:
asset_pools: List[UserLendAssetPool]

User lending allocations

asset_info: AssetInfo

Asset identifiers with associated metadata

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
class Regular:
kind: Literal["regular"]
neptune_receipt_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class NeptuneReceiptToken:
kind: Literal["neptune_receipt_token"]
origin_asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class LiquidStakingToken:
kind: Literal["liquid_staking_token"]
origin_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
metadata: AssetMetadata

Additional metadata for assets

decimals_denom: int

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: int

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: str

Full name of the asset

symbol: str

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: str

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

market_rate: MarketRate

Current market lending rate

apr: str

Market rate in APR standard as a decimal percentage

apy: str

Market rate in APY standard as a decimal percentage

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

apr: str
apy: str
origin_equivalent: UserLendOriginAmounts

The lending amounts converted into the equivalent for the receipt token's origin/source asset

collateralized: str

Total equivalent amount of origin token collateralized across this user's borrowing portfolio

NOTE: This is not the amount of the origin asset that the user holds, but the amount held in the receipt token rendered as the equivalent amount in the origin asset.

Or, more formally: origin_equivalent_collateralized = receipt_collateralized / receipt_redemption_ratio

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

collateralized: str
held: str
total: str
held: str

Total equivalent amount of origin token held in address balance

NOTE: This is not the amount of the origin asset that the user holds, but the amount held in the receipt token rendered as the equivalent amount in the origin asset.

Or, more formally: origin_equivalent_held = receipt_held / receipt_redemption_ratio

total: str

Total of held and collateralized equivalent for origin asset

Or, more formally: origin_equivalent_total = receipt_lent_total / receipt_redemption_ratio

receipt_amounts: UserLendReceiptAmounts

The lending amounts in the original receipt token amounts

collateralized: str

Total amount of receipt token collateralized across this user's borrowing portfolio

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

collateralized: str
held: str
total: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

collateralized: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

collateralized: str
held: str
price: str

Text representation of price

total: str
held: str
price: str

Price used in value calculations

total: str
held: str

Total amount of receipt token held in address balance

total: str

Sum of receipt amount held and receipt amount collateralized

net_rate: MarketRate

Account debt net rate

apr: str

Market rate in APR standard as a decimal percentage

apy: str

Market rate in APY standard as a decimal percentage

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

apr: str
apy: str
class UserLendOriginAmounts:
collateralized: str

Total equivalent amount of origin token collateralized across this user's borrowing portfolio

NOTE: This is not the amount of the origin asset that the user holds, but the amount held in the receipt token rendered as the equivalent amount in the origin asset.

Or, more formally: origin_equivalent_collateralized = receipt_collateralized / receipt_redemption_ratio

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

collateralized: str
held: str
total: str
held: str

Total equivalent amount of origin token held in address balance

NOTE: This is not the amount of the origin asset that the user holds, but the amount held in the receipt token rendered as the equivalent amount in the origin asset.

Or, more formally: origin_equivalent_held = receipt_held / receipt_redemption_ratio

total: str

Total of held and collateralized equivalent for origin asset

Or, more formally: origin_equivalent_total = receipt_lent_total / receipt_redemption_ratio

class UserLendReceiptAmounts:
collateralized: str

Total amount of receipt token collateralized across this user's borrowing portfolio

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

collateralized: str
held: str
total: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

collateralized: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

collateralized: str
held: str
price: str

Text representation of price

total: str
held: str
price: str

Price used in value calculations

total: str
held: str

Total amount of receipt token held in address balance

total: str

Sum of receipt amount held and receipt amount collateralized

UserMarketBorrow

Get user borrow portfolio
user.market.borrow.get_portfolio(straddress, BorrowGetPortfolioParams**kwargs) -> BorrowGetPortfolioResponse
GET/api/v1/users/{address}/markets/borrow
Lookup user borrow market collateral accounts by asset
user.market.borrow.get_collateral_accounts_by_asset(straddress, BorrowGetCollateralAccountsByAssetParams**kwargs) -> BorrowGetCollateralAccountsByAssetResponse
GET/api/v1/users/{address}/markets/borrow/lookup/collateral
Lookup user borrow market debt accounts by asset
user.market.borrow.get_debt_accounts_by_asset(straddress, BorrowGetDebtAccountsByAssetParams**kwargs) -> BorrowGetDebtAccountsByAssetResponse
GET/api/v1/users/{address}/markets/borrow/lookup/debt
Get user combined collaterals for all subaccounts
user.market.borrow.get_collateral_totals(straddress, BorrowGetCollateralTotalsParams**kwargs) -> BorrowGetCollateralTotalsResponse
GET/api/v1/users/{address}/markets/borrow/sum/collaterals
Get user combined debts for all subaccounts
user.market.borrow.get_debts_totals(straddress, BorrowGetDebtsTotalsParams**kwargs) -> BorrowGetDebtsTotalsResponse
GET/api/v1/users/{address}/markets/borrow/sum/debts
ModelsExpand Collapse
class UserBorrowMarket:
accounts: List[UserBorrowMarketAccount]

Market sub-accounts for the user

collaterals: List[UserCollateralAssetPool]

Account collateral allocations

amount: str

Amount of this asset which is actively collateralized

asset_info: AssetInfo

Asset identifiers with associated metadata

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
class Regular:
kind: Literal["regular"]
neptune_receipt_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class NeptuneReceiptToken:
kind: Literal["neptune_receipt_token"]
origin_asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class LiquidStakingToken:
kind: Literal["liquid_staking_token"]
origin_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
metadata: AssetMetadata

Additional metadata for assets

decimals_denom: int

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: int

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: str

Full name of the asset

symbol: str

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: str

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

amount: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: str
price: str

Text representation of price

price: str

Price used in value calculations

debts: List[UserDebtAssetPool]

Account debt allocations

asset_info: AssetInfo

Asset identifiers with associated metadata

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
class Regular:
kind: Literal["regular"]
neptune_receipt_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class NeptuneReceiptToken:
kind: Literal["neptune_receipt_token"]
origin_asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class LiquidStakingToken:
kind: Literal["liquid_staking_token"]
origin_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
metadata: AssetMetadata

Additional metadata for assets

decimals_denom: int

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: int

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: str

Full name of the asset

symbol: str

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: str

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

principal: str
shares: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: str

Text representation of price

principal: str
shares: str
price: str

Price used in value calculations

principal: str
shares: str
market_rate: MarketRate

Current market borrowing rate

apr: str

Market rate in APR standard as a decimal percentage

apy: str

Market rate in APY standard as a decimal percentage

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

apr: str
apy: str
principal: str

Initial amount borrowed (of debts which have not yet been repaid)

shares: str
debts_net_rate: MarketRate

Account debt net rate

apr: str

Market rate in APR standard as a decimal percentage

apy: str

Market rate in APY standard as a decimal percentage

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

apr: str
apy: str
health: Optional[UserAccountHealth]

Health data for this account

base: str

Account health value, before any added health boosts

boost: str

Account health boost to be applied

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

base: str
boost: str
result: str
result: str

Account health, with boost

index: int

Account index

formatuint8
minimum0
maximum255

Collateral/debt totals of all sub-accounts by asset

collaterals: List[UserCollateralAssetPool]

Account collateral allocations

amount: str

Amount of this asset which is actively collateralized

asset_info: AssetInfo

Asset identifiers with associated metadata

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

[...]
